Bug 577860 - [abrt] crash in Miro-2.5.4-2.fc12: application.py:1123:handle_play_movie:AttributeError: 'module' object has no attribute 'playback_manager'
Summary: [abrt] crash in Miro-2.5.4-2.fc12: application.py:1123:handle_play_movie:Attr...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Miro
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Alex Lancaster
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:822965de
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-29 13:55 UTC by Scott
Modified: 2010-09-15 05:51 UTC (History)
3 users (show)

Fixed In Version: Miro-3.0.3-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-14 05:04:06 UTC


Attachments (Terms of Use)
File: backtrace (699 bytes, text/plain)
2010-03-29 13:55 UTC, Scott
no flags Details

Description Scott 2010-03-29 13:55:10 UTC
abrt 1.0.8 detected a crash.

architecture: x86_64
cmdline: /usr/bin/python /usr/bin/miro.real /6074_20100325120050.mpg
component: Miro
executable: /usr/bin/miro.real
kernel: 2.6.32.9-70.fc12.x86_64
package: Miro-2.5.4-2.fc12
reason: application.py:1123:handle_play_movie:AttributeError: 'module' object has no attribute 'playback_manager'
release: Fedora release 12 (Constantine)

backtrace
-----
application.py:1123:handle_play_movie:AttributeError: 'module' object has no attribute 'playback_manager'

Traceback (most recent call last):
  File "/usr/lib64/python2.6/site-packages/miro/frontends/widgets/gtk/threads.py", line 39, in wrap_idle_func
    func(*args, **kwargs)
  File "/usr/lib64/python2.6/site-packages/miro/frontends/widgets/application.py", line 1123, in handle_play_movie
    app.playback_manager.start_with_items(message.item_infos)
AttributeError: 'module' object has no attribute 'playback_manager'

Local variables in innermost frame:
message: <miro.messages.PlayMovie object at 0x1e0cf10>
self: <miro.frontends.widgets.application.WidgetsMessageHandler object at 0xd35210>

Comment 1 Scott 2010-03-29 13:55:12 UTC
Created attachment 403299 [details]
File: backtrace

Comment 2 Alex Lancaster 2010-03-30 22:45:23 UTC
Can you describe exactly what you were doing when the crash happened?  It's
difficult to fix without being able to reproduce it reliably.

Comment 3 Scott 2010-04-05 16:56:31 UTC
Sorry about that. It was awhile ago, but I'm pretty sure I just double clicked on the file "6074_20100325120050.mpg" in dolphin and it tried to open it with miro (I guess that was the default). It crashed before anything happened. That file would have been a TV recording.

Comment 4 Ben Dean-Kawamura 2010-05-05 19:59:55 UTC
I believe this is the same bug as http://bugzilla.pculture.org/show_bug.cgi?id=12327 and that it's been fixed upstream in 3.0

Comment 5 Fedora Update System 2010-08-29 17:19:28 UTC
Miro-3.0.3-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/Miro-3.0.3-1.fc14

Comment 6 Fedora Update System 2010-08-29 17:26:33 UTC
Miro-3.0.3-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/Miro-3.0.3-1.fc13

Comment 7 Fedora Update System 2010-08-29 17:30:39 UTC
Miro-3.0.3-1.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/Miro-3.0.3-1.fc12

Comment 8 Fedora Update System 2010-08-30 19:41:16 UTC
Miro-3.0.3-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update Miro'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/Miro-3.0.3-1.fc14

Comment 9 Fedora Update System 2010-09-14 05:02:11 UTC
Miro-3.0.3-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-09-15 05:34:05 UTC
Miro-3.0.3-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-09-15 05:49:11 UTC
Miro-3.0.3-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.